Jump to content
  • Checkout
  • Login
  • Get in touch

osCommerce

The e-commerce.

Warning, Fatal error


mdefeo

Recommended Posts

This is my first installation of osCommerce and I'm trying to help a friend out with it. I installed it at http://www.vortexaudioexpress.com/store and it loads fine, until you click any buttons. Then it gives you this message:

 

 

Warning: main(includes/languages/.php) [function.main]: failed to open stream: No such file or directory in /home/rass/public_html/store/includes/application_top.php on line 285

 

Fatal error: main() [function.require]: Failed opening required 'includes/languages/.php' (include_path='.:/usr/lib/php') in /home/rass/public_html/store/includes/application_top.php on line 285

 

If it makes a difference, I'm using osCommerce 2.2 MS2 (051113).

 

Thanks in advance for your help.

Link to comment
Share on other sites

.php is obviously incorrect. Does a language file exist at 'includes/languages/ ?

 

 

In the languages folder, the following folders exist:

 

english

espanol

german

 

in addition, there are these files:

 

english.php

espanol.php

german.php

 

thanks again for your help.

Link to comment
Share on other sites

This problem occurs for me after i remove the install folder from my ftp server. Once that folder has been removed, then putting it back does not make this error go away. If i run a clean install (i've done 8 already today) and i simply do not remove the installation folder then the catalog seems to work okay. Highly frustrating that a package so widely used does not seem to work.

Link to comment
Share on other sites

This problem occurs for me after i remove the install folder from my ftp server. Once that folder has been removed, then putting it back does not make this error go away. If i run a clean install (i've done 8 already today) and i simply do not remove the installation folder then the catalog seems to work okay. Highly frustrating that a package so widely used does not seem to work.

 

The control panel has Fantastico installed and I'm installing osCommerce through that. If it seems like installing it a different way might help, I'm down for trying that. I tried installing osCommerce on my own cPanel and it installs fine but I think it's an older release than the one I'm having problems with.

Link to comment
Share on other sites

maybe the language GLOBAL is not being set.

 

The warning at the bottom of your index page may help you

No longer giving free advice. Please place deposit in meter slot provided.  Individual: [=] SME: [==] Corporation: [===]
If deposit does not fit one of the slots provided then you are asking too much! :P

Is your Osc dated try Phoenix  raising oscommerce from the ashes.

Link to comment
Share on other sites

maybe the language GLOBAL is not being set.

 

The warning at the bottom of your index page may help you

 

i just noticed that. thank you! i tried to set that. i don't know what i did wrong. i'll try figuring that out.

Link to comment
Share on other sites

I'm getting the same problem. Everything was fine last night after I was modifying the information.php and language.php files, but it went haywire this morning. I tried restoring the files, but I'm still getting the errors.

Link to comment
Share on other sites

I'm getting the same problem. Everything was fine last night after I was modifying the information.php and language.php files, but it went haywire this morning. I tried restoring the files, but I'm still getting the errors.

 

Yeah, it's the lanuage. I added "?language=en" after index.php in the url and it's fine now. I don't need it in the URL anymore also. Can someone explain this? Will I need to do this again later?

Link to comment
Share on other sites

Archived

This topic is now archived and is closed to further replies.

×
×
  • Create New...